Rated 1 out of 5 stars

not compatible with Snow Leopard

This review is for a previous version of the add-on (0.9.3).